/* File: Accumulate.java
 * 
 * A program that reads a list of values from the user,
 * summing them up, and stopping when the user is done.
 */
import acm.program.*;

public class Accumulate extends ConsoleProgram {
	/* The value the user can enter to stop reading user
	 * input.
	 */
	private static final int SENTINEL = 0;
	
	public void run() {
		/* So all y'all in the back can see! */
		setFont("CenturySchoolbookL-BOLD-24");
		
		/* Track the cumulative sum across all loop iterations. */
		int sum = 0;
		while (true) {
			/* Read a value. If it's the sentinel, we're done. */
			int value = readInt("Enter next integer (" + SENTINEL + " to stop): ");
			if (value == SENTINEL) break;
			
			sum += value;
		}
		println("The total is " + sum + ".");
	}
}
