/**
 * File: BeautifulCollage.java
 * 
 * A program that draws a magnificent, high-quality collage.
 */

import acm.program.*;
import acm.graphics.*;
import java.awt.*;

public class BeautifulCollage extends GraphicsProgram {
	/* Constants controlling the position of our rectangle. */
	private static final double RECT_X = 10;
	private static final double RECT_Y = 40;
	private static final double RECT_WIDTH = 100;
	private static final double RECT_HEIGHT = 200;
	
	/* Constants controlling the position of our oval. */
	private static final double OVAL_X = 25;
	private static final double OVAL_Y = 25;
	private static final double OVAL_WIDTH = 50;
	private static final double OVAL_HEIGHT = 50;
	
	public void run() {
		/* Create a green rectangle. */
		GRect rect = new GRect(RECT_X, RECT_Y, RECT_WIDTH, RECT_HEIGHT);
		rect.setFilled(true);
		rect.setColor(Color.GREEN);
		add(rect);
		
		/* Create a blue oval with a red boundary. */
		GOval oval = new GOval(OVAL_X, OVAL_Y, OVAL_WIDTH, OVAL_HEIGHT);
		oval.setFilled(true);
		oval.setColor(Color.RED);
		oval.setFillColor(Color.BLUE);
		add(oval);
	}
}
